/**
 * OW2 Util
 * Copyright (C) 2008
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id DeploymentPlanDeploymentException.java $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.plan.deployer.api;

/**
 * 
 * @author mleduque
 */
public class DeploymentPlanDeploymentException extends Exception {

    /**
     * Magic number for serialization.
     */
    private static final long serialVersionUID = 1111114444L;

    /**
     * {@inheritDoc}
     *
     */
    public DeploymentPlanDeploymentException() {
        super();
    }

    /**
     * {@inheritDoc}
     *
     */
    public DeploymentPlanDeploymentException(Throwable t) {
        super(t);
    }

    /**
     * {@inheritDoc}
     *
     */
    public DeploymentPlanDeploymentException(String message) {
        super(message);
    }

}
